--------------------------------------------------------------------------------
-- Title   : LEDs
-- Project : TimIQ
--------------------------------------------------------------------------------
-- Description : LEDs
--------------------------------------------------------------------------------
-- File     : LEDs.vhd
-- Revision : x.x.x
-- Created  : August 22, 2016
-- Updated  : March 20, 2017
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil - MAX IV Laboratory
-- Web          : http://www.synchrotron-soleil.fr - https://www.maxiv.lu.se
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2015 - 2016 Synchrotron Soleil - MAX IV Laboratory
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------- ENTITY ---------------------------------------
--------------------------------------------------------------------------------
entity LEDs is
  port (
    -- Internal bus
    p_clkin        : in  std_logic; -- 20MHz clock in
    p_clk500mHz    : in  std_logic; -- 0.5Hz clock in
    p_reset        : in  std_logic; -- reset
    p_red_LED      : out std_logic; -- red LED
    p_green_LED    : out std_logic; -- green LED
    p_LED_RST      : in  std_logic  -- power on configuration
  );
end LEDs;

--------------------------------------------------------------------------------
------------------------------- ARCHITECTURE -----------------------------------
--------------------------------------------------------------------------------
architecture rtl_LEDs of LEDs is
  ------------------------------------------------------------------------------
  -- constant
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  -- signal
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  --------------------------------- Main ---------------------------------------
  ------------------------------------------------------------------------------
  begin

  ------------------------------------------------------------------------------
  -- The red LED is on util the PLL, ADC, etc. are configured after a power on
  p_red_LED <= p_LED_RST; -- components not configured

  ------------------------------------------------------------------------------
  ------------------------------------------------------------------------------
  p_green_LED <= '1'; -- FPGA OK

end rtl_LEDs;
