--------------------------------------------------------------------------------
-- Title   : Registers type
-- Project : TimIQ
--------------------------------------------------------------------------------
-- Description : Definition of registers
--------------------------------------------------------------------------------
-- File     : registers_type.vhdl
-- Revision : x.x.x
-- Created  : August 9, 2016
-- Updated  : September 16, 2016
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil - MAX IV Laboratory
-- Web          : http://www.synchrotron-soleil.fr - https://www.maxiv.lu.se
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2015 - 2016 Synchrotron Soleil - MAX IV Laboratory
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package registers_type is

  type register_array is array (0 to 16) of std_logic_vector (15 downto 0);

  ------------------------------------------------------------------------------
  -- Registers init values
  ------------------------------------------------------------------------------

  -- Read registers
  constant c_board_id     : std_logic_vector (15 downto 0) := X"4AC1"; -- board ID
  constant c_firmware_rev : std_logic_vector (15 downto 0) := X"0001"; -- firmware's version

end package registers_type;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package body registers_type is

end package body registers_type;

