--------------------------------------------------------------------------------
-- Title   : type library
-- Project : TimIQ
--------------------------------------------------------------------------------
-- Description : type declaration lib
--------------------------------------------------------------------------------
-- File     : DAC_lib.vhdl
-- Revision : x.x.x
-- Created  : August 22, 2016
-- Updated  : November 08, 2016
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr - https://www.maxiv.lu.se
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2015 - 2017 Synchrotron Soleil - MAX IV Laboratory
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package DAC_lib is

  type DAC_register_array is array (0 to 1) of std_logic_vector (31 downto 0);

  constant c_DAC_reg_configuration : DAC_register_array := (
--    X"307FFFC0", -- set DACA (= Q) to max
--    X"30000000", -- set DACA (= Q) to zero
--    X"30FFFFC0", -- set DACA (= Q) to min
--    X"327FFFC0", -- set DACB (= I) to max
--    X"32700000", -- set DACB (= I) to zero
--    X"32FFFFC0", -- set DACB (= I) to min
--    X"5E000000"  -- load both DACs
    X"70FFFFC0", -- set DACA (= Q) to max
    X"737FFFC0"  -- set DACB (= I) to zero
  );

  constant c_registers_size : integer := 31;

end package DAC_lib;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package body DAC_lib is

end package body DAC_lib;

