--------------------------------------------------------------------------------
-- Title   : Input / Output driver
-- Project : TimIQ
--------------------------------------------------------------------------------
-- Description : IO pins driver
--------------------------------------------------------------------------------
-- File     : IOs_top.vhd
-- Revision : x.x.x
-- Created  : August 08, 2016
-- Updated  : March 06, 2018
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr - https://www.maxiv.lu.se
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2015 - 2018 Synchrotron Soleil - MAX IV Laboratory
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------- ENTITY ---------------------------------------
--------------------------------------------------------------------------------
entity IOs_top is
  port (
    p_reset  : in  std_logic;                     -- reset input
    p_inTTL  : in  std_logic_vector (4 downto 0); -- TTL inputs
    p_outTTL : out std_logic_vector (4 downto 0); -- TTL outputs
    p_sync   : in  std_logic
  );
end entity IOs_top;

--------------------------------------------------------------------------------
------------------------------- ARCHITECTURE -----------------------------------
--------------------------------------------------------------------------------
architecture rtl_IOs_top of IOs_top is
  ------------------------------------------------------------------------------
  -- constant
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  -- signal
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  -- Attributes
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  --------------------------------- Main ---------------------------------------
  ------------------------------------------------------------------------------
  begin

  ------------------------------------------------------------------------------
  ------------------------------------------------------------------------------
    p_outTTL(0) <= '0';
    p_outTTL(3 downto 1) <= (others => '0');
    p_outTTL(4) <= p_sync;

end architecture rtl_IOs_top;
