--------------------------------------------------------------------------------
-- Title   : Ethetnet PHY driver
-- Project : TimIQ
--------------------------------------------------------------------------------
-- Description : Ethrenet PHY LAN8810I-AKZE driver
--------------------------------------------------------------------------------
-- File     : PHY_top.vhd
-- Revision : x.x.x
-- Created  : August 8, 2016
-- Updated  : August 8, 2016
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr - https://www.maxiv.lu.se
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2015 - 2016 Synchrotron Soleil - MAX IV Laboratory
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------- ENTITY ---------------------------------------
--------------------------------------------------------------------------------
entity PHY_top is
  port (
    p_reset      : in    std_logic; -- reset input
    p_clkin      : in    std_logic; -- CLK input
    p_PHY_TXD    : out   std_logic_vector (7 downto 0);
    p_PHY_TXEN   : out   std_logic;
    p_PHY_TXCLK  : in    std_logic;
    p_PHY_GTXCLK : out   std_logic;
    p_PHY_TXER   : out   std_logic;
    p_PHY_RXD    : in    std_logic_vector (7 downto 0);
    p_PHY_RXDV   : in    std_logic;
    p_PHY_RXER   : in    std_logic;
    p_PHY_RXCLK  : in    std_logic;
    p_PHY_COL    : in    std_logic;
    p_PHY_CRS    : in    std_logic;
    p_PHY_MDC    : out   std_logic;
    p_PHY_MDIO   : inout std_logic;
    p_PHY_INT    : in    std_logic;
    p_PHY_HPD    : out   std_logic;
    p_PHY_RSTn   : out   std_logic
  );
end entity PHY_top;

--------------------------------------------------------------------------------
------------------------------- ARCHITECTURE -----------------------------------
--------------------------------------------------------------------------------
architecture rtl_PHY_top of PHY_top is
  ------------------------------------------------------------------------------
  -- constant
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  -- signal
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  -- Attributes
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  --------------------------------- Main ---------------------------------------
  ------------------------------------------------------------------------------
  begin

  ------------------------------------------------------------------------------
  ------------------------------------------------------------------------------
    p_PHY_TXD    <= (others => 'Z');
    p_PHY_TXEN   <= 'Z';
    p_PHY_GTXCLK <= 'Z';
    p_PHY_TXER   <= 'Z';
    p_PHY_MDC    <= 'Z';
    p_PHY_MDIO   <= 'Z';
    p_PHY_HPD    <= '1';  -- Power down
    p_PHY_RSTn   <= '0';  -- reset

end architecture rtl_PHY_top;
