--------------------------------------------------------------------------------
-- Title   : PeltierCTRL
-- Project : TimIQ
--------------------------------------------------------------------------------
-- Description : RS485 driver for Peltier control
--------------------------------------------------------------------------------
-- File     : PeltierCTRL_top.vhd
-- Revision : x.x.x
-- Created  : August 8, 2016
-- Updated  : August 8, 2016
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr - https://www.maxiv.lu.se
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2015 - 2016 Synchrotron Soleil - MAX IV Laboratory
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------- ENTITY ---------------------------------------
--------------------------------------------------------------------------------
entity PeltierCTRL_top is
  port (
    p_reset     : in  std_logic; -- reset input
    p_clkin     : in  std_logic; -- CLK input
    p_PCTRL_DE  : out std_logic; -- Peltier controlor RS485 DE
    p_PCTRL_D   : out std_logic; -- Peltier controlor RS485 D
    p_PCTRL_REn : out std_logic; -- Peltier controlor RS485 /RE
    p_PCTRL_R   : in  std_logic  -- Peltier controlor RS485 R
  );
end entity PeltierCTRL_top;

--------------------------------------------------------------------------------
------------------------------- ARCHITECTURE -----------------------------------
--------------------------------------------------------------------------------
architecture rtl_PeltierCTRL_top of PeltierCTRL_top is
  ------------------------------------------------------------------------------
  -- constant
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  -- signal
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  -- Attributes
  ------------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  --------------------------------- Main ---------------------------------------
  ------------------------------------------------------------------------------
  begin

  ------------------------------------------------------------------------------
  ------------------------------------------------------------------------------
    p_PCTRL_DE  <= '0';
    p_PCTRL_D   <= '0';
    p_PCTRL_REn <= '1';

end architecture rtl_PeltierCTRL_top;
